Debian Bug report logs - #612575
*.debian.org: remove empty space on left side?

Package: www.debian.org; Maintainer for www.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: Luca Capello <luca@pca.it>

Date: Wed, 9 Feb 2011 09:45:01 UTC

Severity: wishlist

Done: Gerfried Fuchs <rhonda@deb.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, luca@pca.it, Debian WWW Team <debian-www@lists.debian.org>:
Bug#612575; Package www.debian.org. (Wed, 09 Feb 2011 09:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
New Bug report received and forwarded. Copy sent to luca@pca.it, Debian WWW Team <debian-www@lists.debian.org>. (Wed, 09 Feb 2011 09:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: *.debian.org: remove empty space on left side?
Date: Wed, 09 Feb 2011 10:41:36 +0100
[Message part 1 (text/plain, inline)]
Package: www.debian.org
Severity: wishlist

Hi there!

The new layout (again, thank you for that) leaves an empty left column
of the same size as the Debian logo (i.e. 50 pixels).

This is IMHO a waste of space, especially for small screens and also
because it is not counter-balanced on the right side, where the
rendering is done until the border.

BTW, I know I should have checked the new layout way before it was
deployed, so I submitted this bug as Severity: wishlist ;-)

Thx, bye,
Gismo / Luca

-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Gerfried Fuchs <rhonda@deb.at>:
You have taken responsibility. (Wed, 09 Feb 2011 09:54:07 GMT) Full text and rfc822 format available.

Notification sent to Luca Capello <luca@pca.it>:
Bug acknowledged by developer. (Wed, 09 Feb 2011 09:54:07 GMT) Full text and rfc822 format available.

Message #10 received at 612575-done@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Luca Capello <luca@pca.it>, 612575-done@bugs.debian.org
Subject: Re: Bug#612575: *.debian.org: remove empty space on left side?
Date: Wed, 9 Feb 2011 10:50:48 +0100
        Hi!

* Luca Capello <luca@pca.it> [2011-02-09 10:41:36 CET]:
> The new layout (again, thank you for that) leaves an empty left column
> of the same size as the Debian logo (i.e. 50 pixels).
> 
> This is IMHO a waste of space, especially for small screens and also
> because it is not counter-balanced on the right side, where the
> rendering is done until the border.

 Please see the FAQ: <http://wiki.debian.org/KallesDesign#FAQ>. This was
discussed and tried before and didn't turn out too well - if you feel
that we really should also add a righthand margin we could do that, but
the left margin will stay for the forseeable future.

 Thanks,
Rhonda
-- 
"What are the differences between Mark Zuckerberg and me? I give private
 information on corporations to you for free, and I'm a villain.
 Zuckerberg gives your private information to corporations for money and
 he's Man of the Year."         -- Julian Assange




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#612575; Package www.debian.org. (Wed, 09 Feb 2011 10:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 09 Feb 2011 10:18:03 GMT) Full text and rfc822 format available.

Message #15 received at 612575@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 612575@bugs.debian.org
Subject: Re: Bug#612575: *.debian.org: remove empty space on left side?
Date: Wed, 09 Feb 2011 11:15:13 +0100
[Message part 1 (text/plain, inline)]
Hi there!

NB, I would live this bug as open, but tagged wontfix instead of closing
    it, so other people can see it and not submit a new one.  I did not
    do that, however, given that it is up to the WWW team ;-)

On Wed, 09 Feb 2011 10:50:48 +0100, Gerfried Fuchs wrote:
> * Luca Capello <luca@pca.it> [2011-02-09 10:41:36 CET]:
>> The new layout (again, thank you for that) leaves an empty left column
>> of the same size as the Debian logo (i.e. 50 pixels).
>> 
>> This is IMHO a waste of space, especially for small screens and also
>> because it is not counter-balanced on the right side, where the
>> rendering is done until the border.
>
>  Please see the FAQ: <http://wiki.debian.org/KallesDesign#FAQ>. This was
> discussed and tried before and didn't turn out too well -

Thank you for the pointer, unfortunately the image linked there is a bit
too small to have a real idea of the problem.

BTW, if is OK if I add a link to this bug just after the FAQ entry?

My main concern is that the white space is IMHO disturbing and probably
it should filled with some degrading effect, e.g. <http://debian.ch/>?

> if you feel that we really should also add a righthand margin we could
> do that, but the left margin will stay for the forseeable future.

No need to add anything on the right side, we will have even more waste
space and the top bar should be shortened as well.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#612575; Package www.debian.org. (Wed, 09 Feb 2011 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 09 Feb 2011 10:33:03 GMT) Full text and rfc822 format available.

Message #20 received at 612575@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Luca Capello <luca@pca.it>, 612575@bugs.debian.org
Subject: Re: Bug#612575: *.debian.org: remove empty space on left side?
Date: Wed, 9 Feb 2011 11:28:35 +0100
* Luca Capello <luca@pca.it> [2011-02-09 11:15:13 CET]:
> NB, I would live this bug as open, but tagged wontfix instead of closing
>     it, so other people can see it and not submit a new one.  I did not
>     do that, however, given that it is up to the WWW team ;-)

 We can consider that if there will be a repetion, otherwise it just
rather clutters the overview page for triaging effort (yes, of course,
wontfix can get filtered out from that, but still ...)

> On Wed, 09 Feb 2011 10:50:48 +0100, Gerfried Fuchs wrote:
> >  Please see the FAQ: <http://wiki.debian.org/KallesDesign#FAQ>. This was
> > discussed and tried before and didn't turn out too well -
> 
> Thank you for the pointer, unfortunately the image linked there is a bit
> too small to have a real idea of the problem.
> 
> BTW, if is OK if I add a link to this bug just after the FAQ entry?

 It's a wiki. ;)

> My main concern is that the white space is IMHO disturbing and probably
> it should filled with some degrading effect, e.g. <http://debian.ch/>?

 Erm, you are hopefully aware that debian.ch does work even worse for
smaller widths because of its dependency on a fixed width, meaning that
people would have to scroll horizontal?

 Enjoy,
Rhonda
-- 
"What are the differences between Mark Zuckerberg and me? I give private
 information on corporations to you for free, and I'm a villain.
 Zuckerberg gives your private information to corporations for money and
 he's Man of the Year."         -- Julian Assange




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#612575; Package www.debian.org. (Wed, 09 Feb 2011 11:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 09 Feb 2011 11:21:05 GMT) Full text and rfc822 format available.

Message #25 received at 612575@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Gerfried Fuchs <rhonda@deb.at>
Cc: 612575@bugs.debian.org
Subject: Re: Bug#612575: *.debian.org: remove empty space on left side?
Date: Wed, 09 Feb 2011 11:59:14 +0100
[Message part 1 (text/plain, inline)]
Hi there!

On Wed, 09 Feb 2011 11:28:35 +0100, Gerfried Fuchs wrote:
> * Luca Capello <luca@pca.it> [2011-02-09 11:15:13 CET]:
>> NB, I would live this bug as open, but tagged wontfix instead of closing
>>     it, so other people can see it and not submit a new one.  I did not
>>     do that, however, given that it is up to the WWW team ;-)
>
>  We can consider that if there will be a repetion, otherwise it just
> rather clutters the overview page for triaging effort (yes, of course,
> wontfix can get filtered out from that, but still ...)

Fair enough, and we also know that not all bug reporters check existing
bugs before...

>> On Wed, 09 Feb 2011 10:50:48 +0100, Gerfried Fuchs wrote:
>> >  Please see the FAQ: <http://wiki.debian.org/KallesDesign#FAQ>. This was
>> > discussed and tried before and didn't turn out too well -
>> 
>> Thank you for the pointer, unfortunately the image linked there is a bit
>> too small to have a real idea of the problem.
>> 
>> BTW, if is OK if I add a link to this bug just after the FAQ entry?
>
>  It's a wiki. ;)

I know, just to be sure it was OK to put a reference there and not in
the comment section, anyway, done:

  <http://wiki.debian.org/KallesDesign?action=diff&rev2=55&rev1=54>

>> My main concern is that the white space is IMHO disturbing and probably
>> it should filled with some degrading effect, e.g. <http://debian.ch/>?
>
>  Erm, you are hopefully aware that debian.ch does work even worse for
> smaller widths because of its dependency on a fixed width, meaning that
> people would have to scroll horizontal?

Mmm, I have never checked that on anything smaller than 800 pixels (on
the Nokia N900 sounds OK with no horizontal bar), but what I wanted to
suggest was to add a degrading effect similar to the top bar.

I will prepare an example and come back with the code ;-)

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#612575; Package www.debian.org. (Wed, 09 Feb 2011 13:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 09 Feb 2011 13:27:07 GMT) Full text and rfc822 format available.

Message #30 received at 612575@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.org>
To: Luca Capello <luca@pca.it>, 612575@bugs.debian.org
Subject: Re: Bug#612575: *.debian.org: remove empty space on left side?
Date: Wed, 9 Feb 2011 14:25:22 +0100
    Hi!

 This is longer as it should need to be, but I want to have some of the
background well explained and pointed out to be able to use it as
reference for others.

* Luca Capello <luca@pca.it> [2011-02-09 11:59:14 CET]:
> Fair enough, and we also know that not all bug reporters check existing
> bugs before...

 Otherwise we wouldn't be flooded with "packages.d.o not working" right
now, indeed.

> >> BTW, if is OK if I add a link to this bug just after the FAQ entry?
> >
> >  It's a wiki. ;)
> 
> I know, just to be sure it was OK to put a reference there and not in
> the comment section, anyway, done:
> 
>   <http://wiki.debian.org/KallesDesign?action=diff&rev2=55&rev1=54>

 The comment you did put is a fair bit misleading.  It was discussed WAY
before you filed this bugreport, and a concensus across those people
interested to work on the website has been reached.  You might not like
the result of that discussion, but pointers and invitations to join the
effort where handed around on blogs (aggregated on planet), mailinglists
(not only debian-www but also debian-devel-announce (the must-read
list), and -devel, -project and a fair mount of others), dents (in the
debian group, syndicated also on twitter with the debian keyword) and at
debconf since the last two years (pixelgirl's talk at debconf8, marga's
talk at debconf9), and only coming when it was finally put into place
isn't very helpful.

 Comments and suggestions are all fair and fine and gladly welcome, but
please accept and respect the decision and reasoning of those who have
worked on getting this enormous task finally done and into play.
Everything else comes across as pretty downputting, demotivating and
leaves the impression that you don't trust the people who actually did
invest their time and effort into into a task that noone else really was
interested in.

 Let me iterate here that comments and suggestions are welcome indeed,
and that we do encourage people to speak up (like for the issues pointed
out with the planet theming and the red name bar, we are musing what
would be the best option here).  We though don't want to iterate
discussions without any further new input just because someone was
around the last years but not interested enough to raise their voice
during that time but only now on topics that were discussed in lengths
already and comes across to disregard these discussions and decisions
they weren't interested to join in in the first place.

> I will prepare an example and come back with the code ;-)

 Don't be surprised if it might get ignored like we were ignored (or
rather, even received snide scathing comments) over the last years.  We
will try to be a better receiving partner in this game though, so don't
let this hinder you to invest your time.

 Thank you for your understanding,
Rhonda
-- 
"What are the differences between Mark Zuckerberg and me? I give private
 information on corporations to you for free, and I'm a villain.
 Zuckerberg gives your private information to corporations for money and
 he's Man of the Year."         -- Julian Assange




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#612575; Package www.debian.org. (Wed, 09 Feb 2011 21:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 09 Feb 2011 21:30:05 GMT) Full text and rfc822 format available.

Message #35 received at 612575@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Gerfried Fuchs <rhonda@debian.org>
Cc: 612575@bugs.debian.org
Subject: Re: Bug#612575: *.debian.org: remove empty space on left side?
Date: Wed, 09 Feb 2011 15:19:11 +0100
[Message part 1 (text/plain, inline)]
Hi there!

On Wed, 09 Feb 2011 14:25:22 +0100, Gerfried Fuchs wrote:
>  This is longer as it should need to be, but I want to have some of the
> background well explained and pointed out to be able to use it as
> reference for others.

Thank you, this is why I wanted to put a hint on the wiki.

> * Luca Capello <luca@pca.it> [2011-02-09 11:59:14 CET]:
>> >> BTW, if is OK if I add a link to this bug just after the FAQ entry?
>> >
>> >  It's a wiki. ;)
>> 
>> I know, just to be sure it was OK to put a reference there and not in
>> the comment section, anyway, done:
>> 
>>   <http://wiki.debian.org/KallesDesign?action=diff&rev2=55&rev1=54>
>
>  The comment you did put is a fair bit misleading.  It was discussed WAY
> before you filed this bugreport, and a concensus across those people
> interested to work on the website has been reached.  You might not like
> the result of that discussion, but pointers and invitations to join the
> effort where handed around on blogs (aggregated on planet), mailinglists
> (not only debian-www but also debian-devel-announce (the must-read
> list), and -devel, -project and a fair mount of others), dents (in the
> debian group, syndicated also on twitter with the debian keyword) and at
> debconf since the last two years (pixelgirl's talk at debconf8, marga's
> talk at debconf9), and only coming when it was finally put into place
> isn't very helpful.

I fully agree on your words, but for the sake of completeness please
notice that I did not object at all WRT to you closing the bug, simply
stating that with my maintainer hat on I would have used wontfix.  And
in my submission I explicitly blamed me for not having act before
(something which IMHO resembles your last sentence).

Before submitting the bug I checked the BTS for this problem and found
none, thus I went on.  And the fact that there was no link on the wiki
about the discussion that resulted in this decision is IMHO a bit
misleading as well (BTW, thank you for correcting my words there).

>  Comments and suggestions are all fair and fine and gladly welcome, but
> please accept and respect the decision and reasoning of those who have
> worked on getting this enormous task finally done and into play.
> Everything else comes across as pretty downputting, demotivating and
> leaves the impression that you don't trust the people who actually did
> invest their time and effort into into a task that noone else really was
> interested in.

Again, for the sake of completeness: I *accept/trust* everything you
(and all the others involved in the new design) have done and will do,
and I think I was quite clear in my first submission (look at the words
in the parenthesis).  I know how to help in Debian and I blame myself
every time I do not do that for various reasons (still I live with it).

>> I will prepare an example and come back with the code ;-)
>
>  Don't be surprised if it might get ignored like we were ignored (or
> rather, even received snide scathing comments) over the last years.  We
> will try to be a better receiving partner in this game though, so don't
> let this hinder you to invest your time.

No problem at all in being ignored, this was a wishlist bug anyway.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 10 Mar 2011 07:36:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:18:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.